# Overview

[Zabbix](http://zabbix.com) is software that monitors numerous parameters of a network and the health and integrity of servers.

Zabbix server is the central process of Zabbix software.

The server performs the polling and trapping of data, it calculates triggers, sends notifications to users. It is the central component to which Zabbix agents and proxies report data on availability and integrity of systems. The server can itself remotely check networked services (such as web servers and mail servers) using simple service checks.

# Usage

Zabbix works with Zabbix agent, Zabbix proxy, Zabbix frontend and Zabbix Java Gateway charms.

The functioning of a basic Zabbix server is broken into three distinct components; they are: Zabbix server, web frontend and database storage.

    juju add-relation zabbix-server mysql
    juju add-relation zabbix-server frontend

Zabbix server autmatically adds new Zabbix agents to monitoring as empty host (without linked templates) and Zabbix proxies by proxy type (active or passive) 

    juju add-relation zabbix-server:agent-active zabbix-agent
    juju add-relation zabbix-server:proxy-passive zabbix-proxy

If relation with Zabbix proxy is destroyed, the charm removes the proxy from configuration and disable all hosts monitored by the proxy.
If relation with Zabbix agent is destroyed, the charm disables host related with the removed relation with Zabbix agent.

# Configuration

There is listed a few major configuration options which can be changed:

Timeout - Spend no more than Timeout seconds on checks processing.
ListenPort - Agent will listen on this port for connections from the server.
DefaultHostGroup - Default Host group for new hosts with active Zabbix agent relations

An example,
    juju set zabbix-server Timeout=10


### Known Issues / Caveates

Zabbix server/proxy can use different database types, so while relation to database is not added, there is no installed Zabbix server/proxy packages.
We recommend to add a relation between Zabbix agent and Zabbix server/proxy after adding relation Zabbix server/proxy with one of available database types.
The charm Zabbix server/proxy supports only MySQL database.

#### Web Interface username/password

Login: Admin
Password: zabbix

# Сontact information

- [Zabbix Homepage](http://www.zabbix.com)
- [Zabbix Bug Tracker](https://support.zabbix.com/)
- [Zabbix Services](http://www.zabbix.com/services.php)
